<?php
	@session_start;
	ini_set('display_errors',1);
	ini_set('display_startup_erros',1);
	error_reporting(E_ALL);
	date_default_timezone_set('America/Sao_Paulo');

	$base = "../imgs/";
	$base2 = "../../downloads/";
	
	//configuracao de conexao com servidor ********************************************
	try {

		$servidor = "gruporbk.com.br:3306";
		$servidor = "localhost";
	
		$banco = "gruporbk_max";

		$usuario = "gruporbk_max";

		$senha = "CreditMax20!%";

		//$servidor = "localhost";
		//$usuario = "root";
		//$senha = "root";

		$db = new PDO ("mysql:host=$servidor;dbname=$banco","$usuario","$senha");
		$banco2 = "information_schema";
		$is = new PDO ("mysql:host=$servidor;dbname=$banco2","$usuario","$senha");

		$db->exec("set names utf8");
		$is->exec("set names utf8");
		
	} catch (PDOException $e) {
		echo "Erro ao conectar no banco de dados: " . $e->getMessage();
		exit;
	}

	//configuracao das paginas *******************************************************

	$page = $table = $id = "";
	if (isset($_GET["param"])) {

		$param = explode("/",$_GET["param"]);
		if (isset($param[0])) $page = $param[0];
		if (isset($param[1])) $table = $param[1];
		if (isset($param[2])) $id = $param[0];

	} else {

		$page = "login";
		
	}

	//configuracao das tabelas que podem ser acessadas *******************************
	$tipo = "";
	if (isset($_SESSION["admin"]["tipo"])) $tipo = trim($_SESSION["admin"]["tipo"]);

	if ($tipo == "Admin") {

		$tables = array("","arquivo","acesso","cargo","cliente","configuracao","usuario","envio","funcionario","parceiro","relatorio","email","envios","acessos","importar","boletos","listarArquivo","listarCliente","migrar","relEnvios","relRecebimentos","avulso","atrasados","importarAtrasados","mensagem","enviarAviso","naoenviados");

	} else {
		$tables = array("","arquivo","cliente","envio","funcionario","cargo","relatorio","email","envios","acessos","importar","parceiro","boletos","listarArquivo","listarCliente");
	

	}


	
	//configuracoes da página **********************************************************

	$title = "GrupoRBK";
	$pastaFotos = "../downloads/";

	function codifica($string) {
        $x = mb_detect_encoding($string.'x', 'UTF-8, ISO-8859-1');
        if ($x != "UTF-8") $string = utf8_encode($string);
        return $string;
    }


    $analitycs = "";

    $sql = "select * from configuracao limit 1";
    $consulta = $db->prepare($sql);
    $consulta->execute();
    $row = $consulta->fetch(PDO::FETCH_OBJ);
    




